DiseaseCultivatorHealerRegister = {}
DiseaseCultivatorHealerRegister.modDir = g_currentModDirectory

g_specializationManager:addSpecialization(
    "diseaseCultivatorHealer",
    "DiseaseCultivatorHealer",
    Utils.getFilename("scripts/specializations/DiseaseCultivatorHealer.lua", DiseaseCultivatorHealerRegister.modDir),
    nil
)

local function inject()
    local typesTbl = g_vehicleTypeManager and g_vehicleTypeManager.types or {}

    for typeName, vType in pairs(typesTbl) do
        local specs = vType.specializations or {}
        if SpecializationUtil.hasSpecialization(Cultivator, specs) and not SpecializationUtil.hasSpecialization(DiseaseCultivatorHealer, specs) then
            g_vehicleTypeManager:addSpecialization(typeName, "diseaseCultivatorHealer")
        end
    end
end

inject()
